Subject: Re: bug#30405: 26.0.91; Incorrect apostrophe translation in ImageMagick error message

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Feb 2018 21:58:30 +0200

> Cc: [email-masked], [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Tue, 13 Feb 2018 09:43:34 -0800
> 
> > That variable's purpose is to display raw bytes as readable text, so I
> > definitely disagree in this specific use case.
> 
> The abovementioned test case establishes that the variable does not in 
> fact always cause Emacs to display raw bytes as readable text. The only 
> question is whether the documentation is wrong, or the code (or both 
> :-). I've given a consistent interpretation that the intent of the 
> variable is to display raw bytes as text when in a unibyte context 
> (which the echo area is not). I haven't seen an alternative consistent 
> interpretation that's corresponds to the behavior Emacs currently 
> exhibits (i.e., the sort of behavior that elicited this bug report).

That's your POV, but not mine.  I'm not prepared to lose this
variable, given the dozen line it takes to support it.  Fixing the
original problem without losing the effect of this variable is easy,
so I see no reason to continue arguing.